Name:           perl-HTML-Template
Version:        2.9
Release:        1%{?dist}.2
Summary:        Perl module to use HTML Templates

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/HTML-Template/
Source0:        http://www.cpan.org/authors/id/S/SA/SAMTREGAR/HTML-Template-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(Test::More)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(IPC::SharedCache)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module attempts make using HTML templates simple and natural.  It
extends standard HTML with a few new HTML-esque tags - <TMPL_VAR>,
<TMPL_LOOP>, <TMPL_INCLUDE>, <TMPL_IF> and <TMPL_ELSE>.  The file
written with HTML and these new tags is called a template.  It is
usually saved separate from your script - possibly even created by
someone else!  Using this module you fill in the values for the
variables, loops and branches declared in the template.  This allows
you to separate design - the HTML - from the data, which you generate
in the Perl script.


%prep
%setup -q -n HTML-Template-%{version}
%{__perl} -pi -e 's/\r//g' README


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
TEST_SHARED_MEMORY=1 make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ANNOUNCE ARTISTIC Changes FAQ GPL README
%{perl_vendorlib}/HTML/
%{_mandir}/man3/*.3pm*


%changelog
* Tue Oct 16 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 2.9-1.2
- add BR: perl(Test::More)

* Tue Oct 16 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 2.9-1.1
- correct license tag
- add BR: perl(ExtUtils::MakeMaker)

* Tue Jan 30 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 2.9-1
- Update to 2.9.

* Fri Sep  8 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 2.8-3
- Rebuild for FC6.

* Sat Feb 18 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 2.8-2
- Rebuild for FC5 (perl 5.8.8).

* Thu Dec 29 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 2.8-1
- Update to 2.8.

* Sat Aug 13 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 2.7-4
- README file: corrected the end-of-line encoding (#165874).
- Bring up to date with Fedora Extras template.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.7-3
- rebuilt

* Mon Oct 25 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:2.7-0.fdr.2
- Typo correction (rpmlint warning).
- Build requirements: removed perl(CGI).

* Fri Jun 25 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:2.7-0.fdr.1
- First build after 2nd time of losing the specfile somewhere :(
